<mat-label [ngClass]="{'warn': !checked}">{{firstValue}}</mat-label>
<mat-slide-toggle
  [formControl]="checkedControl"
  class="example-margin"
  [color]="color"
  (change)="changed()">
  <span [ngClass]="{'warn': checked}">{{lastValue}}</span>
</mat-slide-toggle>
